import { useState } from 'react'
import withLayout from '@/layout'
import { ScrollView } from '@tarojs/components'
import '@/assets/css/iconfont.css'
import './index.scss'

export default withLayout(() => {

  const [NavList] = useState([
    { name: '交通', id: 1 },
    { name: '商业', id: 2 },
    { name: '医院', id: 3 },
    { name: '学校', id: 4 },
    { name: '银行', id: 5 }
  ])
  const [CurrentNavId, setCurrentNavId] = useState(1)
  const [List, setList] = useState([{}, {}, {}, {}, {}, {}, {}, {}, {}])
  const [OtherList, setOtherList] = useState([{}, {}, {}, {}, {}, {}, {}, {}, {}])

  const CutNav = (id) => {
    return () => {
      setCurrentNavId(id)
    }
  }

  return (
    <view className='Page buildingAround'>

      <view className='MapContainer'>
        <view>
          
        </view>
      </view>

      <view className='TabContainer'>
        <view>

          <view className='Title flex-h'>
            <view className='flex-item'>
              <text>香颂·蔚澜半岛</text>
            </view>
            <view className='Go'>
              <text>前往</text>
              <text className='iconfont icon-qianwang'></text>
            </view>
          </view>

          <view className='Address flex-h'>
            <text className='iconfont icon-dingwei'></text>
            <view className='flex-item'>
              <text>建邺区高庙路与保双街交叉路口</text>
            </view>
          </view>

          <view className='Nav flex-h'>
            {
              NavList.map((item, index) => (
                <view className={item.id === CurrentNavId ? 'flex-item active' : 'flex-item'} key={`NavItem-${index}`}>
                  <text onClick={CutNav(item.id)}>{item.name}(12)</text>
                </view>
              ))
            }
          </view>

          <view className='CutLine'></view>

          <view className='ListContainer'>
            <ScrollView scroll-y>
              <view className='ScrollContent'>
                <view className='List'>
                  {
                    List.map((item, index) => (
                      <view className='flex-h' key={`ListItem-${index}`}>
                        <text>{index + 1}、</text>
                        <view className='flex-item'>
                          <text>南京地铁1号线</text>
                        </view>
                        <text className='iconfont icon-dingwei'></text>
                        <text className='distance'>200m</text>
                      </view>
                    ))
                  }
                </view>
                <text>其他</text>
                <view className='List'>
                  {
                    OtherList.map((item, index) => (
                      <view className='flex-h' key={`ListItem-${index}`}>
                        <view className='flex-item'>
                          <text>{index + 1}、南京地铁1号线</text>
                        </view>
                      </view>
                    ))
                  }
                </view>
              </view>
            </ScrollView>
          </view>

        </view>
      </view>

    </view>
  )
})
