import { useState } from 'react'
import './index.scss'

export default function FilterForHouseType (props) {

  const { change = () => {}, defaultValue = '-' } = props
  const [HouseTypeList] = useState([
    {name: '不限', id: '-'},
    {name: '一室', id: 1},
    {name: '两室', id: 2},
    {name: '三室', id: 3},
    {name: '四室', id: 4},
    {name: '五室以上', id: 5}
  ])
  const [CurrentId, setCurrentId] = useState(defaultValue)

  const CutArea = (id) => {
    return () => {
      setCurrentId(id)
      change({name: 'houseType', value: id})
    }
  }

  return (
    <view className='components FilterForHouseType'>
      {
        HouseTypeList.map((item, index) => (
          <view key={`ListItem${index}`} className={CurrentId === item.id ? 'flex-h active' : 'flex-h'} onClick={CutArea(item.id)}>
            <text>{item.name}</text>
            <view className='flex-item'></view>
            {
              CurrentId === item.id &&
              <text className='iconfont icon-gou1'></text>
            }
          </view>
        ))
      }
    </view>
  )
}
