import { useState } from 'react'
import './index.scss'

export default function FilterForMore (props) {

  const { change = () => {}, defaultValue = '-' } = props
  const [BuildingTypeList] = useState([
    {name: '不限', id: '-'},
    {name: '别墅', id: '1'},
    {name: '高层', id: '2'}
  ])
  const [CurrentId, setCurrentId] = useState(defaultValue)

  const CutArea = (id) => {
    return () => {
      setCurrentId(id)
      change({name: 'buildingType', value: id})
    }
  }

  return (
    <view className='components FilterForMore'>
      {
        BuildingTypeList.map((item, index) => (
          <view key={`ListItem${index}`} className={CurrentId === item.id ? 'flex-h active' : 'flex-h'} onClick={CutArea(item.id)}>
            <text>{item.name}</text>
            <view className='flex-item'></view>
            {
              CurrentId === item.id &&
              <text className='iconfont icon-gou1'></text>
            }
          </view>
        ))
      }
    </view>
  )
}
